package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.system.api.model.LoginUser;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

public class SnServerTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private Long taskId;
    @Excel(name = "操作服务器")
    private Long serverId;
    @Excel(name = "服务器IP")
    private String serverIp;
    @Excel(name = "服务器模板ID")
    private Long serverTemplateId;
    @Excel(name = "任务名称")
    private String taskName;
    @Excel(name = "任务类型")
    private Integer type;
    @Excel(name = "执行结果")
    private String result;
    @Excel(name = "执行状态")
    private Integer status;
    private Integer process;
    private String clientVersion;
    private String bizVersion;
    
    public SnServerTask() {
    }
    
    public SnServerTask(final SnServer server, final LoginUser loginUser) {
        this.setServerId(server.getServerId());
        this.setServerIp(server.getIp());
        this.setStatus(0);
        this.setIsDelete(Integer.valueOf(0));
        this.setCreateId((loginUser == null) ? server.getCreateId() : loginUser.getUserid());
        this.setCreateName((loginUser == null) ? server.getCreateName() : loginUser.getUsername());
        this.setCreateTime(DateUtils.getNowDate());
        this.setAgentId(server.getAgentId());
        this.setAgentName(server.getAgentName());
        this.setDealerId(server.getDealerId());
        this.setDealerName(server.getDealerName());
    }
    
    public SnServerTask(final SnServerTemplate serverTemplate) {
        this.setServerId(serverTemplate.getServerId());
        this.setServerIp(serverTemplate.getServerIp());
        this.setServerTemplateId(serverTemplate.getId());
        this.setStatus(0);
        this.setIsDelete(Integer.valueOf(0));
        this.setCreateId(serverTemplate.getCreateId());
        this.setCreateName(serverTemplate.getCreateName());
        this.setCreateTime(DateUtils.getNowDate());
        this.setAgentId(serverTemplate.getAgentId());
        this.setAgentName(serverTemplate.getAgentName());
        this.setDealerId(serverTemplate.getDealerId());
        this.setDealerName(serverTemplate.getDealerName());
        this.setProcess(serverTemplate.getProcess());
    }
    
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("taskId", this.getTaskId()).append("serverId", this.getServerId()).append("taskName", this.getTaskName()).append("status", this.getStatus()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
    }
    
    public Long getTaskId() {
        return this.taskId;
    }
    
    public Long getServerId() {
        return this.serverId;
    }
    
    public String getServerIp() {
        return this.serverIp;
    }
    
    public Long getServerTemplateId() {
        return this.serverTemplateId;
    }
    
    public String getTaskName() {
        return this.taskName;
    }
    
    public Integer getType() {
        return this.type;
    }
    
    public String getResult() {
        return this.result;
    }
    
    public Integer getStatus() {
        return this.status;
    }
    
    public Integer getProcess() {
        return this.process;
    }
    
    public String getClientVersion() {
        return this.clientVersion;
    }
    
    public String getBizVersion() {
        return this.bizVersion;
    }
    
    public void setTaskId(final Long taskId) {
        this.taskId = taskId;
    }
    
    public void setServerId(final Long serverId) {
        this.serverId = serverId;
    }
    
    public void setServerIp(final String serverIp) {
        this.serverIp = serverIp;
    }
    
    public void setServerTemplateId(final Long serverTemplateId) {
        this.serverTemplateId = serverTemplateId;
    }
    
    public void setTaskName(final String taskName) {
        this.taskName = taskName;
    }
    
    public void setType(final Integer type) {
        this.type = type;
    }
    
    public void setResult(final String result) {
        this.result = result;
    }
    
    public void setStatus(final Integer status) {
        this.status = status;
    }
    
    public void setProcess(final Integer process) {
        this.process = process;
    }
    
    public void setClientVersion(final String clientVersion) {
        this.clientVersion = clientVersion;
    }
    
    public void setBizVersion(final String bizVersion) {
        this.bizVersion = bizVersion;
    }
    
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof SnServerTask)) {
            return false;
        }
        final SnServerTask other = (SnServerTask)o;
        if (!other.canEqual((Object)this)) {
            return false;
        }
        final Object this$taskId = this.getTaskId();
        final Object other$taskId = other.getTaskId();
        Label_0065: {
            if (this$taskId == null) {
                if (other$taskId == null) {
                    break Label_0065;
                }
            }
            else if (this$taskId.equals(other$taskId)) {
                break Label_0065;
            }
            return false;
        }
        final Object this$serverId = this.getServerId();
        final Object other$serverId = other.getServerId();
        Label_0102: {
            if (this$serverId == null) {
                if (other$serverId == null) {
                    break Label_0102;
                }
            }
            else if (this$serverId.equals(other$serverId)) {
                break Label_0102;
            }
            return false;
        }
        final Object this$serverTemplateId = this.getServerTemplateId();
        final Object other$serverTemplateId = other.getServerTemplateId();
        Label_0139: {
            if (this$serverTemplateId == null) {
                if (other$serverTemplateId == null) {
                    break Label_0139;
                }
            }
            else if (this$serverTemplateId.equals(other$serverTemplateId)) {
                break Label_0139;
            }
            return false;
        }
        final Object this$type = this.getType();
        final Object other$type = other.getType();
        Label_0176: {
            if (this$type == null) {
                if (other$type == null) {
                    break Label_0176;
                }
            }
            else if (this$type.equals(other$type)) {
                break Label_0176;
            }
            return false;
        }
        final Object this$status = this.getStatus();
        final Object other$status = other.getStatus();
        Label_0213: {
            if (this$status == null) {
                if (other$status == null) {
                    break Label_0213;
                }
            }
            else if (this$status.equals(other$status)) {
                break Label_0213;
            }
            return false;
        }
        final Object this$process = this.getProcess();
        final Object other$process = other.getProcess();
        Label_0250: {
            if (this$process == null) {
                if (other$process == null) {
                    break Label_0250;
                }
            }
            else if (this$process.equals(other$process)) {
                break Label_0250;
            }
            return false;
        }
        final Object this$serverIp = this.getServerIp();
        final Object other$serverIp = other.getServerIp();
        Label_0287: {
            if (this$serverIp == null) {
                if (other$serverIp == null) {
                    break Label_0287;
                }
            }
            else if (this$serverIp.equals(other$serverIp)) {
                break Label_0287;
            }
            return false;
        }
        final Object this$taskName = this.getTaskName();
        final Object other$taskName = other.getTaskName();
        Label_0324: {
            if (this$taskName == null) {
                if (other$taskName == null) {
                    break Label_0324;
                }
            }
            else if (this$taskName.equals(other$taskName)) {
                break Label_0324;
            }
            return false;
        }
        final Object this$result = this.getResult();
        final Object other$result = other.getResult();
        Label_0361: {
            if (this$result == null) {
                if (other$result == null) {
                    break Label_0361;
                }
            }
            else if (this$result.equals(other$result)) {
                break Label_0361;
            }
            return false;
        }
        final Object this$clientVersion = this.getClientVersion();
        final Object other$clientVersion = other.getClientVersion();
        Label_0398: {
            if (this$clientVersion == null) {
                if (other$clientVersion == null) {
                    break Label_0398;
                }
            }
            else if (this$clientVersion.equals(other$clientVersion)) {
                break Label_0398;
            }
            return false;
        }
        final Object this$bizVersion = this.getBizVersion();
        final Object other$bizVersion = other.getBizVersion();
        if (this$bizVersion == null) {
            if (other$bizVersion == null) {
                return true;
            }
        }
        else if (this$bizVersion.equals(other$bizVersion)) {
            return true;
        }
        return false;
    }
    
    protected boolean canEqual(final Object other) {
        return other instanceof SnServerTask;
    }
    
    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $taskId = this.getTaskId();
        result = result * 59 + (($taskId == null) ? 43 : $taskId.hashCode());
        final Object $serverId = this.getServerId();
        result = result * 59 + (($serverId == null) ? 43 : $serverId.hashCode());
        final Object $serverTemplateId = this.getServerTemplateId();
        result = result * 59 + (($serverTemplateId == null) ? 43 : $serverTemplateId.hashCode());
        final Object $type = this.getType();
        result = result * 59 + (($type == null) ? 43 : $type.hashCode());
        final Object $status = this.getStatus();
        result = result * 59 + (($status == null) ? 43 : $status.hashCode());
        final Object $process = this.getProcess();
        result = result * 59 + (($process == null) ? 43 : $process.hashCode());
        final Object $serverIp = this.getServerIp();
        result = result * 59 + (($serverIp == null) ? 43 : $serverIp.hashCode());
        final Object $taskName = this.getTaskName();
        result = result * 59 + (($taskName == null) ? 43 : $taskName.hashCode());
        final Object $result = this.getResult();
        result = result * 59 + (($result == null) ? 43 : $result.hashCode());
        final Object $clientVersion = this.getClientVersion();
        result = result * 59 + (($clientVersion == null) ? 43 : $clientVersion.hashCode());
        final Object $bizVersion = this.getBizVersion();
        result = result * 59 + (($bizVersion == null) ? 43 : $bizVersion.hashCode());
        return result;
    }
}
